## ros-galactic-swri-console 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

project(swri_console)

### ROS PACKAGES ###
find_package(ament_cmake REQUIRED)
# find_package(rosbag_storage REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_interfaces REQUIRED)

### QT PACKAGES ###
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)

find_package(Boost COMPONENTS thread REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(include)

set(UI_FILES
  ui/console_window.ui)
set(HEADER_FILES
  include/swri_console/bag_reader.h
  include/swri_console/defines.h
  include/swri_console/console_master.h
  include/swri_console/console_window.h
  include/swri_console/log_database.h
  include/swri_console/log_database_proxy_model.h
  include/swri_console/node_click_handler.h
  include/swri_console/node_list_model.h
  include/swri_console/rosout_log_loader.h
  include/swri_console/ros_thread.h
  )
set(SRC_FILES
  src/bag_reader.cpp
  src/console_master.cpp
  src/console_window.cpp
  src/log_database.cpp
  src/log_database_proxy_model.cpp
  src/node_click_handler.cpp
  src/node_list_model.cpp
  src/rosout_log_loader.cpp
  src/ros_thread.cpp
  src/settings_keys.cpp
  )
qt5_add_resources(RCC_SRCS resources/images.qrc)
qt5_wrap_ui(SRC_FILES ${UI_FILES})
qt5_wrap_cpp(SRC_FILES ${HEADER_FILES})

add_executable(swri_console ${HEADER_FILES} ${SRC_FILES} ${RCC_SRCS} src/main.cpp)
target_link_libraries(swri_console
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Boost::thread
)

ament_target_dependencies(${PROJECT_NAME}
  ament_cmake
  rclcpp
  rcl_interfaces
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

ament_export_dependencies(${RUNTIME_DEPS})
ament_package()

=== debian/changelog ===
ros-galactic-swri-console (2.0.1-1focal) focal; urgency=high

  * Switching to system default QoS (#50 <https://github.com/swri-robotics/swri_console/issues/50>)
  * Merge pull request #45 <https://github.com/swri-robotics/swri_console/issues/45> from rasmusan/bugfix/log_queue_not_emptied
    Fix: Before maximum 1 log entry every 50 ms was processed. Now all en…
  * Merge pull request #44 <https://github.com/swri-robotics/swri_console/issues/44> from rasmusan/bugfix/rosout_qos_fixed
    Fix: Changed rosout subsciption to use rcl_qos_profile_rosout_default…
  * Merge pull request #43 <https://github.com/swri-robotics/swri_console/issues/43> from nobleo/fix/boost-thread-dep
    Fix boost dependency
  * Merge pull request #41 <https://github.com/swri-robotics/swri_console/issues/41> from nobleo/ros-ok
    Replace deprecated is_initialized() with ok()
  * Merge pull request #36 <https://github.com/swri-robotics/swri_console/issues/36> from rasmusan/bugfix/fix_loglevel_masking
    Fixed loglevel masking (for ROS2)
  * Merge pull request #42 <https://github.com/swri-robotics/swri_console/issues/42> from nobleo/libboost-thread
    More specific boost dependency
  * Merge pull request #37 <https://github.com/swri-robotics/swri_console/issues/37> from rasmusan/feature/add-display-options
    Added options to show logger_name and function in each log line
  * Fixed loglevel masking (for ROS2)
  * Contributors: David Anthony, Matthew, Rasmus Skovgaard Andersen, Tim Clephas, rasmus.andersen

 -- P. J. Reed <preed@swri.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-galactic-swri-console (2.0.0-1focal) focal; urgency=high

  * ROS 2 Dashing Support (#31 <https://github.com/swri-robotics/swri_console/issues/31>)
  * Contributors: Jacob Hassold, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 31 Mar 2020 05:00:00 -0000

ros-galactic-swri-console (1.1.0-1focal) focal; urgency=high

  * Added simple rosout_agg_recorder (#15 <https://github.com/pjreed/swri_console/issues/15>)
  * Change logger levels from within swri_console (#20 <https://github.com/pjreed/swri_console/issues/20>)
  * Load ROS logs and directories of ROS logs
  * Fix compiler warnings found with Clang
  * Add search bar
  * Contributors: Edward Venator, P. J. Reed, Phil Westhart, Victor Murray, elliotjo, jgassaway

 -- P. J. Reed <preed@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-galactic-swri-console (1.0.0-1focal) focal; urgency=high

  * Add kinetic and lunar and simplify CI
    - Remove cruft from CI configuration
    - Add ROS kinetic to CI configuration
    - Add ROS lunar to CI configuration
    - Remove shadow-fixed builds from CI configuration. Since this repository has very few catkin dependencies, there's no reason to build for both shadow-fixed and released.
  * Fix compiler warnings
  * Contributors: Edward Venator, P. J. Reed, elliotjo

 -- P. J. Reed <preed@swri.org>  Sat, 01 Apr 2017 05:00:00 -0000

ros-galactic-swri-console (0.2.0-1focal) focal; urgency=high

  * Port to Qt5 #16 <https://github.com/swri-robotics/swri_console/issues/16>
  * Contributors: Edward Venator, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-galactic-swri-console (0.1.0-1focal) focal; urgency=high

  * Remove settings_keys.h from qt4_wrap_cpp to suppress warning
    There are no QT-wrappable classes in this header, so the QT build emits a
    warning that it's doing nothing on the file. Since it's doing nothing,
    we might as well remove the file from the wrapper macro.
  * Adding support for Travis CI
    This is based on the script provided by ros-industrial at:
    https://github.com/ros-industrial/industrial_ci
  * Fix for issue #12 <https://github.com/swri-robotics/swri_console/issues/12>; "Copy Extended" was only copying blank lines.
  * Add option to alternate row colors for stronger line distinction.
    This uses the QAbstractItemView's alternatingRowColors property
    to alternate the background color of each line in the log list.  You
    can disable the alternating colors by right clicking on the log, and
    your preference should be persistent between sessions.
  * Fix incorrect target in CMakeLists.txt
  * Select all nodes when user hits Ctrl+A in the node list.
    Closes #6 <https://github.com/swri-robotics/swri_console/issues/6>.
  * Sync behavior between saving to bags and text files.
    This closes #10 <https://github.com/swri-robotics/swri_console/issues/10> by using the same behavior when saving to text
    and bag files.  Both now save the same messages that are in the user's
    current view.  Partly because this lets the user save subsets or
    everything by deliberately selecting everything, and partly because it
    was a lot easier to change the save to bag behavior than vice versa.
  * Handle log messages with multiple lines correctly.
    This fixes the console to handle log messages with multiple
    lines correctly.  We're going to be using a little bit more memory
    now, but it shouldn't be a major issue and performance still seems
    great.  Closes #8 <https://github.com/swri-robotics/swri_console/issues/8>.
  * Closes Issue #04 <https://github.com/swri-robotics/swri_console/issues/04> - Subscribe to rosout_agg instead of rosout.
    I spent an hour adding an option to subscribe to either /rosout or
    /rosout_agg thinking that we would still need to listen to /rosout
    when playing back a bag file that only had /rosout recorded. But it
    turns out that the republisher catches those and puts them on
    /rosout_agg anyways. I reverted the changes and just changed RosThread
    to subscribe to /rosout_agg.
  * Fix issue 05 - Node list not clearing out properly.
    The root cause of this problem was that the message count in the log
    database was not being cleared out.  I've refactored the structure a
    little bit to make the dependencies a little cleaner.  The log
    database doesn't know about the NodeListModel anymore (though the


=== debian/control ===
Source: ros-galactic-swri-console
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev, libqt5core5a, libqt5gui5, libqt5opengl5-dev, libqt5widgets5, ros-galactic-ament-cmake, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-rosidl-default-generators, ros-galactic-ros-workspace
Homepage: http://ros.org/wiki/swri_console
Standards-Version: 3.9.2

Package: ros-galactic-swri-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-rosidl-default-runtime, ros-galactic-ros-workspace
Description: A rosout GUI viewer developed at Southwest Research Insititute as an alternative to rqt_console.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-swri-console//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
